Description

Given that I cannot see anything on the roadmap I'd like to ask what the state of MySQL support is. As stated on the Install page the

latest officially supported release is MySQL 5.6, which has been EOL since February of 2021. MySQL 5.7 seems to work just fine but

is not yet officially supported (it's on the roadmap for the next major release after 5.0!) and has an EOL date of October 2023 (aka

slightly over 2 years from today). At the current speed of development I fear that MySQL will be EOL long before it is officially

supported by Redmine. MariaDB is not supported at all.

Any insight?

Related issues:

Related to Redmine - Defect #39437: MySQL / MariaDB issue nested set deadlock... Closed

Related to Redmine - Feature #19395: Support MariaDB New

History

#1 - 2022-04-11 14:15 - Martin Jungowski

Any news? This is getting more troublesome each day as we are now 18 months away from MySQL's 5.7 official EOL date, more than a year after

MySQL 5.6 has been officially depreciated, and still there's nothing on the roadmap. Maybe it'd be better to officially depreciate MySQL support and

provide a migration path to PostgreSQL?

#2 - 2022-04-12 19:16 - Thomas Löber

We have been running Redmine on MySQL 8.0 for more than 1.5 years without any problems. The deadlock problem described in #17460 has never

occurred.

#3 - 2022-04-12 21:20 - Martin Jungowski

Thank you, that is good news. How man active concurrent users do you have?

#4 - 2022-04-13 09:09 - Thomas Löber

I'm not sure, but I know that at certain times of the day we have about 200 to 300 ticket edits per hour.

#5 - 2022-06-10 12:46 - C S

I wonder why no progress can be seen on this important point in particular - especially in connection with the fifth generation of Redmine.

MySQL 5.5 and 5.6 have been EOL for a long time, the end of 5.7 is in the near future (October 2023). Nevertheless, version 5.5 is presented as the

best choice in the installation wiki - version 8.0 is not even mentioned.

Ok, MySQL is not what it used to be - so I can understand if there is no further development here - we also have an alternative ;)

However, the "official" support of MariaDB is missing - I only know from experience that I have never had any problems in connection with MariaDB

10.x.

#6 - 2023-07-16 19:00 - Markus Falb

My investigations show

According to https://www.redmine.org/projects/redmine/wiki/Continuous_integration

the tests are running on mysql 5.7

Here are the results of the testsuite

https://www.redmine.org/builds/

This is confusing. Are the tests successful or are the tests skipped? Is mysql 5.7 supported or not. I find it especially confusing that the test suite is

run with 5.7.
#7 - 2023-08-15 10:32 - Go MAEDA

I also use MySQL 8.0 in my test environment for a long time.

I believe that MySQL 8.0 should be added to the supported databases, with the notice that the issue described in #17460 may occur.

#8 - 2023-11-08 05:39 - Mischa The Evil

- Related to Defect #39437: MySQL / MariaDB issue nested set deadlocks and consistency added

#9 - 2023-11-20 23:55 - Marius BĂLTEANU

- Status changed from New to Closed

- Assignee set to Marius BĂLTEANU

- Resolution set to Duplicate

This concurrency issue is fixed in the upcoming Redmine 5.1.1 (it will be released soon) and 6.0.0, but it may require some changes to the database

settings, please see all the comments from #39437 and the MySQL_configuration page.

Multiple discussions regarding this topic are planed for the upcoming releases:

Feature #35014: Review and update supported database engines and versions 

Feature #39579: Drop official support for MySQL 5.5, 5.6 and 5.7

Also, starting from today, MySQL 8 is used in the official CI. Regarding MariaDB, it should work, but we don't have it in the official CI matrix (#19395).

I'm closing this as duplicate.

#10 - 2023-11-20 23:59 - Marius BĂLTEANU

- Related to Feature #19395: Support MariaDB added
